/*
 *    Copyright(C) 2007 Time Intermedia Corporation <puzzle@timedia.co.jp>
 *    All rights reserved.
 *
 *    Number Place Generator Version 2.0
 *        Director:   Hirofumi Fujiwara
 *        Puzzler:    Naoki Inaba
 *        Programmer: Masaya Kiwada
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *    
 */

package jp.gr.puzzle.npv2.gui;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JApplet;
import javax.swing.JButton;
import javax.swing.JFrame;

public class AppletRun extends JApplet{
	private static final long serialVersionUID = 1L;

	public static void main(String[] args) {

	}
	MainFrame frame = null;
	JButton startButton = new JButton("Start");
	@Override
	public void init() {
		setLayout(new BorderLayout());
		startButton.addActionListener( 
			new ActionListener()
			{
				public void actionPerformed(ActionEvent arg0) {
					if(frame == null || !frame.isDisplayable()){
						frame = new MainFrame();
						frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
					}else{
						frame.dispose();
						frame = null;
					}
				}
			}
		);
		
		add(startButton,BorderLayout.CENTER);

		super.init();
	}
	
}
