package jp.gr.puzzle.npv2.sample;

import java.util.ArrayList;
import jp.gr.puzzle.npv2.core.*;

public class Size6 {
	final static int numSize = 6;
	static int[] hint = {
			0,0,0,1,0,0,
			0,0,1,0,0,0,
			0,1,0,0,0,1,
			1,0,0,0,1,0,
			0,0,0,1,0,0,
			0,0,1,0,0,0		};
	
	private static int[] hidden = new int[numSize*numSize];
	static SolverMethod method = new SolverMethod();

	public static void main(String[] args) {
		System.out.println("Size6");

		int[] problem = null;
		ArrayList<Integer[]> blockarraylist = Utility.makeNormalBlock(numSize,
				3, 2);

		BlockConstraint block = new BlockConstraint(blockarraylist, numSize);
		Generator generator = new Generator(numSize, hint, hidden, block);
		generator.setMethod(method);

		while ((problem = generator.generate()) == null)
			;
		int point = (int) Evaluator.evaluate(numSize, block, problem);
		System.out.println("point " + point);
		Utility.printGrid(problem, numSize);
	}
}